Bug 209825 - games/mangband: Unbreak fetch and bump version
Summary: games/mangband: Unbreak fetch and bump version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-05-29 06:50 UTC by flambard
Modified: 2016-06-01 16:16 UTC (History)
2 users (show)

See Also:


Attachments
patch for the port (464 bytes, patch)
2016-05-29 06:50 UTC, flambard
no flags Details | Diff
mangband-1.1.3-port.patch (5.05 KB, patch)
2016-06-01 14:36 UTC, flambard
flambard: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description flambard 2016-05-29 06:50:16 UTC
Created attachment 170777 [details]
patch for the port

MASTER_SITE was down, leading to nofetch, it's back up again. Also a new minor version was released.
Comment 1 VK freebsd_triage 2016-05-29 17:04:02 UTC
Thanks for the report. Please reset PORTREVISION with version bump. Please mark your patches as maintainer-approval+ as that will make the report available in the Maintainer approved quick search, since you're the maintainer. Also please confirm the tests like portlint, poudriere are passed.
Comment 2 Tilman Keskinoz freebsd_committer 2016-05-30 16:00:18 UTC
At least the following things are missing:

- Update to distinfo missing
- patch patch-client__main-sdl.c does not apply, should it be deleted?
Comment 3 flambard 2016-06-01 14:36:26 UTC
Created attachment 170917 [details]
mangband-1.1.3-port.patch

Unbreak "unfeatchable".
Bump PORTVERSION and reset PORTREVISION=0.
portlint: Remove PORTREVISION=0.
portlint: Regenerate all patches with 'make makepatch'.
Update distinfo.
Obsolete patch: patch-client__main-sdl.c was merged upstream, removed from port.
Comment 4 Tilman Keskinoz freebsd_committer 2016-06-01 16:16:38 UTC
committed, thanks
Comment 5 commit-hook freebsd_committer 2016-06-01 16:16:40 UTC
A commit references this bug:

Author: arved
Date: Wed Jun  1 16:16:23 UTC 2016
New revision: 416249
URL: https://svnweb.freebsd.org/changeset/ports/416249

Log:
  Update to 1.1.3

  PR:		209825
  Submitted by:	maintainer
  Reviewed by:	Vladimir Krstulja

Changes:
  head/games/mangband/Makefile
  head/games/mangband/distinfo
  head/games/mangband/files/patch-client__main-sdl.c
  head/games/mangband/files/patch-config.h
  head/games/mangband/files/patch-server__netserver.c
  head/games/mangband/files/patch-server__save.c
  head/games/mangband/files/patch-server_netserver.c
  head/games/mangband/files/patch-server_save.c